{ inputs, outputs, lib, config, pkgs, ... }:

{
  programs.discocss = {
    enable = true;
    discordAlias = false;
    css = ''
      :root {
        --font-primary: Fira Code;

        /* Gruvbox Material Dark Hard */
        --fg0: #d4be98;
        --bg0: #1d2021;
        --bg1: #282828;

        --grey0: #7c6f64;
        --grey1: #928374;
        --grey2: #a89984;

        /* Midpoints between bg0 + bg1 */
        --bg0_33: #212323;
        --bg0_66: #242526;
      }

      .theme-dark {
        --text-normal: var(--fg0);

        --channels-default: var(--grey2);
        --interactive-normal: var(--grey0);
        --interactive-active: var(--grey0);
        --channel-icon: var(--grey0);

        --scrollbar-auto-thumb: var(--grey0);
        --scrollbar-auto-track: var(--bg1);

        --header-primary: var(--grey0);
        --header-secondary: var(--grey2);

        --background-primary: var(--bg0);
        --background-secondary: var(--bg0_66);
        --background-secondary-alt: var(--bg0_33);
        --background-tertiary: var(--bg1);
        --background-message-hover: var(--bg1);
        --background-mentioned: var(--bg1);
        --bg-overlay-selected: var(--bg1);
      }

      /* Message Box */
      .scrollableContainer-15eg7h {
        background-color: var(--bg1);
      }
      .slateTextArea-27tjG0 {
        color: var(--grey0);
      }

      /* Search Box */
      .search-39IXmY {
        display: none;
      }

      /* Add a Server + Explore Public Servers */
      .circleIconButton-1VxDrg {
        color: var(--grey0);
      }
      /* Remove: Nitro, Gif, Stickers, Emoji buttons */
      .buttons-uaqb-5 {
        display: none;
      }

      /* Remove: New Message Bar */
      .newMessagesBar-1hF-9G {
        display: none;
      }
  '';
  };
}
